#ifndef GLOBALSETTINGS_H
#define GLOBALSETTINGS_H

#include <QObject>
#include <QString>

class GlobalSettings : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString firmName READ firmName WRITE setFirmName)
    Q_PROPERTY(QString street READ street WRITE setStreet)
    Q_PROPERTY(QString houseNumber READ houseNumber WRITE setHouseNumber)
    Q_PROPERTY(QString zipCode READ zipCode WRITE setZipCode)
    Q_PROPERTY(QString city READ city WRITE setCity)
    Q_PROPERTY(int ic READ ic WRITE setIc)
    Q_PROPERTY(QString dic READ dic WRITE setDic)
    Q_PROPERTY(bool vatPayer READ vatPayer WRITE setVatPayer)
    Q_PROPERTY(QString logoPath READ logoPath WRITE setLogoPath)
public:
    explicit GlobalSettings(QObject *parent = 0);

    QString firmName() const;
    void setFirmName(const QString &firmName);

    QString street() const;
    void setStreet(const QString &street);

    QString houseNumber() const;
    void setHouseNumber(const QString &houseNumber);

    QString zipCode() const;
    void setZipCode(const QString &zipCode);

    QString city() const;
    void setCity(const QString &city);

    int ic() const;
    void setIc(int ic);

    QString dic() const;
    void setDic(const QString &dic);

    bool vatPayer() const;
    void setVatPayer(bool vatPayer);

    QString logoPath() const;
    void setLogoPath(const QString &logoPath);

private:
    QString m_firmName;
    QString m_street;
    QString m_houseNumber;
    QString m_zipCode;
    QString m_city;
    int m_ic;
    QString m_dic;
    bool m_vatPayer;
    QString m_logoPath;

signals:

public slots:
};

#endif // GLOBALSETTINGS_H
